# Generated by Django 4.2.8 on 2023-12-15 18:27

import django.db.models.deletion
import pretalx.common.mixins.models
from django.db import migrations, models

import pretalx_musicrate.models


class Migration(migrations.Migration):
    dependencies = [
        ("submission", "0072_alter_reviewscore_label"),
        ("event", "0033_chinese_locale_codes"),
        ("pretalx_musicrate", "0004_musicratesettings_advance_threshold"),
    ]

    operations = [
        migrations.CreateModel(
            name="Juror",
            fields=[
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "token",
                    models.CharField(
                        default=pretalx_musicrate.models.generate_token,
                        max_length=43,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "event",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="jurors",
                        to="event.event",
                    ),
                ),
                (
                    "last_submission",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="jurors",
                        to="submission.submission",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=(
                pretalx.common.mixins.models.LogMixin,
                pretalx.common.mixins.models.FileCleanupMixin,
                models.Model,
            ),
        ),
        migrations.AddField(
            model_name="musicratesettings",
            name="last_submission",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="pretalx_musicrate_settings",
                to="submission.submission",
            ),
        ),
        migrations.CreateModel(
            name="Rating",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False
                    ),
                ),
                ("rating", models.CharField(max_length=2)),
                (
                    "juror",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="ratings",
                        to="pretalx_musicrate.juror",
                    ),
                ),
                (
                    "submission",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="ratings",
                        to="submission.submission",
                    ),
                ),
            ],
        ),
        migrations.AddConstraint(
            model_name="rating",
            constraint=models.UniqueConstraint(
                fields=("submission", "juror"), name="unique_rating"
            ),
        ),
    ]
